VisualEditor translathon at Wikimania Mexico
Closed, ResolvedPublic8 Story Points

Description

I would like to repeat the experience of last year in London with https://www.mediawiki.org/wiki/VisualEditor/Translathon .

I don't know if I'll create tasks for all the following things, but the first steps which come to mind are:
set up "rally" page, with Siebrand's assistance, including stats;
announce precise time and date where people in Mexico City can gather and meet me and hopefully some translatewiki people during the hackathon; remote people can work wherever they are! Don't forget to tell VE translators about it.

Current translation statistics:
https://translatewiki.net/w/i.php?title=Special%3AMessageGroupStats&x=D&group=ext-visualeditor-0-all#sortable:3=desc

UPDATE:
Main page at https://translatewiki.net/wiki/Project:VisualEditor/2015_Translathon ; session is on Thur 16 at 4pm.

Elitre created this task.Feb 27 2015, 7:40 PM
Elitre claimed this task.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 7:40 PM

This had great results last year. Thanks for creating a repeat!

Qgil added a subscriber: Qgil.

We need to consider Phase 5 and 6 wikis, and then the documentation pages - https://www.mediawiki.org/wiki/VisualEditor/TranslationCentral#Progress .

Elitre moved this task from Backlog to To-do on the Community-Liaisons board.Mar 16 2015, 4:13 PM
Rdicerb moved this task from May To-Do to June To-Do on the Community-Liaisons board.

@Rfarrand, I'd be interested in getting a room for 1h or so for this, can you help? Last year this activity was completely online, but I think that it would be great to actually gather people in a physical space. I'm also OK with attaching this after any other "session" or activity closely related to translations, like the one @siebrand is organizing.

I have no idea how full the schedule is; you could try to get your own slot. Otherwise, you're welcome at the translation sprint which I thought wasn't going to be held in Mexico, but last night I got an email that my proposal[1] had been accepted. I don't have details about date, time and slot size yet.

[1] https://wikimania2015.wikimedia.org/wiki/Submissions/Wikimedia_Translation_Sprint

As a follow-up, Siebrand will support me with the translathon (details TBA), so he and Rachel will let me know about a room ASAP.

That hackathon will have meeting rooms available and they will be reservable by all hackathon attendees who have a session, talk, meeting etc that is related to tech an needs to take place.
This generally happens much closer to the event, in fact most of the room reserving and booking of meetings happens at the event.
If you need a room during the hackathon you should have no trouble getting one.

@Rfarrand, thanks a lot for your answer. Announcements about the translathon will be made way before the hackathon starts, which means I will need to specify a time and place by then so that people who actually want to gather in Mexico City to work at the translathon can do so (and someone from Siebrand's team will be there to provide a bit of support, hopefully!). So we'll figure something out.

I moved the task to the June workboard because I hope to be announcing it later this month.

Elitre edited the task description. (Show Details)Jun 5 2015, 3:42 PM
Elitre set Security to None.
Amire80 edited the task description. (Show Details)Jun 9 2015, 6:44 PM
Elitre added a comment.EditedJun 10 2015, 9:59 AM

Thanks for adding the link, Amir. The initiative will not be limited to interface messages, although those will clearly get the priority. Once we solidify the list of mediawiki.org pages we'd like to suggest to translators, I'll add it to this task!

@Qgil is working on putting the hackathon schedule up, maybe he can ping here once it is ready for editing for people to reserve times. He is currently blocked by me and Ellie who need to provide rooms names, sizes and timing availabilities.

@Rfarrand @siebrand I'm not sure I see a compatible space in the update at https://phabricator.wikimedia.org/T101355#1380720 (we guesstimated room for 25-30). I may just block a big room then. I need to put this down in writing soon, so I appreciate any advice before details are given to translators :)

@Elitre - this year we just don't have access to rooms of different sizes. It is fine for you to block out one of the larger rooms for an hour for your meeting. :)

Qgil added a comment.Jun 23 2015, 1:24 PM

Hi, we haven't announced it yet, but you can schedule this session at https://wikimania2015.wikimedia.org/wiki/Hackathon#Schedule and it will be as good as official. :)

Thanks Quim! I'll consult with @siebrand about that tomorrow.

Main audience for the translathon: communities of Wikipedias in Phase 5, 6 and 7 at https://www.mediawiki.org/wiki/VisualEditor/Rollouts.
Communications plan:
these 132 wikis will get an invitation (on their Village Pumps) to join the translathon. It's still not clear whether we'll be able to also notify them of how their language did so far in regard to VE-related translations. Only 26 of them have a completion percentage >50%.

How we'll notify everyone else:
*translatewiki newsletter
*translators mailing-list
*invitation to VE-only translators
*Phab tasks
*Updates in public liaisons' pages
*...

Elitre raised the priority of this task from "Normal" to "High".Jul 11 2015, 2:11 AM

VE translators were just notified. Other invitations and announcements will follow in due course in the next days.

Elitre edited the task description. (Show Details)Jul 11 2015, 3:36 AM
MRG90 added a subscriber: MRG90.Jul 11 2015, 8:52 AM

Phase 5, 6 and 7 wikis were notified yesterday.
Most of the translators learned about the initiative from translatewiki's newsletter on Sunday; nonetheless I'm also pinging a few WMF mailing lists today.

Huge thanks to everybody who came to the session today, that was awesome.

Reminder, this officially ends tonight, when it's midnight in Mexico.

Jdforrester-WMF closed this task as "Resolved".Jul 21 2015, 6:14 PM
Elitre reopened this task as "Open".Jul 23 2015, 6:06 PM

I haven't announced the winners or provided much data about the initiative (other than what's on the showcase slides at https://docs.google.com/presentation/d/1dKN37zZqsQgEi3pJsF799ieRd5lzB2WzGH0aJoMf2Kk/edit ), so this isn't done yet.

Elitre closed this task as "Resolved".EditedAug 6 2015, 5:23 PM

Yeah. Winners are getting their prizes, I added some highlights here, and barnstars will be sent ASAP, so...

Elitre added a comment.Sep 3 2015, 2:08 PM

If winners agree, I may share their feedback re: the initiative (attached to a longer slideshow). Will keep you posted.

Elitre mentioned this in Unknown Object (Task).Dec 9 2015, 4:16 PM